Bug 1574097 - Unable to upgrade Fedora 27 > 28 due to problem opening fc28 packages
Summary: Unable to upgrade Fedora 27 > 28 due to problem opening fc28 packages
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-upgrade
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 17:42 UTC by Kat
Modified: 2018-05-03 06:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-03 06:27:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Kat 2018-05-02 17:42:14 UTC
Description of problem:
Unable to upgrade to fedora 28 from 27. Failing GPG check due to problem opening fc28 packages although the fc27 of those packages are installed in current Fedora 27 version. 

Version-Release number of selected component (if applicable):
python2-humanize-0.5.1-11.fc28.noarch.rpm
perl-Error-0.17025-2.fc28.noarch.rpm
texlive-environ-svn33821.0.3-42.fc28.2.noarch.rpm
texlive-tex-ini-files-svn40533-42.fc28.2.noarch.rpm

How reproducible:


Steps to Reproduce:
1. upgrade all fc27 packages using 'dnf upgrade --refresh'
2. dnf system-upgrade download --releasever=28 --allowerasing --best
3. errors in opening fc28 packages: python2-humanize, perl-Error, texlive-environ, and texlive-tex-ini-files

Actual results:
Problem opening package python2-humanize-0.5.1-11.fc28.noarch.rpm
Problem opening package perl-Error-0.17025-2.fc28.noarch.rpm
Problem opening package texlive-environ-svn33821.0.3-42.fc28.2.noarch.rpm
Problem opening package texlive-tex-ini-files-svn40533-42.fc28.2.noarch.rpm

Error: GPG check FAILED

Expected results:


Additional info:

Comment 1 Miroslav Suchý 2018-05-03 06:27:44 UTC
This is likely either network or storage issue. The error says, that the content on the disk does not match the checksum. Just try again.


Note You need to log in before you can comment on or make changes to this bug.